diff -ruN vdr-1.3.37/CONTRIBUTORS vdr-1.3.38/CONTRIBUTORS
--- vdr-1.3.37/CONTRIBUTORS	2005-11-26 15:16:02.000000000 +0100
+++ vdr-1.3.38/CONTRIBUTORS	2006-01-08 12:03:44.000000000 +0100
@@ -16,6 +16,8 @@
  for fixing converting summary.vdr files that would result in a very long 'short text'
  for his help in testing and debugging reading the list of recordings in a
  separate thread
+ for reporting some unnecessary disk access when checking if there are deleted
+ recordings that need to be removed
 
 Plamen Ganev <pganev@com-it.net>
  for fixing the frequency offset for Hotbird channels
@@ -310,6 +312,7 @@
  for his support in keeping the Premiere World channels up to date in 'channels.conf'
  for pointing out that section filters should only be set if the device actually has
  a lock
+ for reporting a lockup with the RCU on NPTL systems
 
 Simon Bauschulte <SemiSchwabe@Brutzel.de>
  for his support in keeping the Premiere World channels up to date in 'channels.conf'
@@ -480,6 +483,8 @@
 Andreas Böttger <fboettger@t-online.de>
  for reporting a bug in skipping forward in time shift mode near the end of the recording
  for fixing setting system time to avoid time jumps in case of faulty data
+ for reporting a bug in the "Day" field of the "Edit timer" menu when pressing
+ '0' to switch from "single shot" to "weekly", followed by the "Right" key
 
 Onno Kreuzinger <ok@solutas.net>
  for reporting leftover references to the file FORMATS in MANUAL and svdrp.c
@@ -517,8 +522,9 @@
 Joerg Riechardt <J.Riechardt@gmx.de>
  for filling in some missing teletext PIDs
 
-Holger Wächtler <holger@convergence.de>
+Holger Wächtler <holger@qanu.de>
  for some valuable advice during adapting to the NEWSTRUCT driver
+ for suggesting to use FE_READ_STATUS to read the current frontend status
 
 Jürgen Zimmermann <jnzimmer@informatik.uni-kl.de>
  for adding some missing #includes to files in libdtv for gcc 3.2
@@ -531,6 +537,7 @@
  for implementing a default cRemote::Initialize()
  for suggesting to increase the default value for 'Min. user inactivity' to 300 minutes
  for suggesting to add cChannel::LinkChannels() and cChannel::RefChannel()
+ for suggesting to give a message when an instant recording is started
 
 Jeremy Hall <jhall@UU.NET>
  for fixing an incomplete initialization of the filter parameters in eit.c
@@ -821,6 +828,7 @@
  cThread::Start()
  for removing the LOCK_THREAD from the LIRC thread
  for making the Makefile patch friendlier
+ for a patch that was used for implementing setting the user id
 
 Thomas Koch <tom@harhar.net>
  for his support in keeping the Premiere World channels up to date in 'channels.conf'
@@ -1007,6 +1015,11 @@
  for suggesting to always use stream id 0xE0 for the video stream, to avoid problems
  with post processing tools that choke on different ids
  for fixing cDvbPlayer::SkipFrames() to properly handle radio recordings
+ for improving TS/PES conversion to better handle lost TS packets
+ for suggesting to make the DVB devices retune (and, if applicable, resend the
+ DiSEqC data) if the lock is lost
+ for fixing handling TS packets in cTS2PES
+ for adding a mutex to synchronize cDevice::PlayPesPacket() and SetCurrentAudioTrack()
 
 Richard Robson <richard_robson@beeb.net>
  for reporting freezing replay if a timer starts while in Transfer Mode from the
@@ -1252,6 +1265,8 @@
  for fixing initializing the day index when editing the weekday parameter of a
  repeating timer
  for figuring out some obscure length bytes the the CA PMT Reply data of AlphaCrypt CAMs
+ for fixing handling OSD areas that have invalid sizes
+ for removing unused variables in skinclassic.c and skinsttng.c
 
 Jürgen Schmitz <j.schmitz@web.de>
  for reporting a bug in displaying the current channel when switching via the SVDRP
@@ -1307,6 +1322,7 @@
  for reporting a bug in opening recording folders in case the last replayed recording
  no longer exists
  for reporting a missing check against MAXOSDAREAS in cOsd::CanHandleAreas()
+ for making the Makefile report a summary of failed plugins
 
 Sven Kreiensen <svenk@kammer.uni-hannover.de>
  for his help in keeping 'channels.conf.terr' up to date
@@ -1318,6 +1334,7 @@
  for updating the Romanian language texts and the iso8859-2 fonts
  for making VDR actually use the iso8859-15 fonts
  for suggesting to make the function ExchangeChars()
+ for reporting duplicate texts in i18n.c
 
 Mattias Grönlund <Mattias@Gronlund.net>
  for pointing out a missing cleanup at program exit in case there is a problem
@@ -1346,6 +1363,8 @@
  for reporting the missing Euro sign in iso8859-1
  for reporting a problem with making changes to timers through SVDRP while they
  are being edited via the menu
+ for suggesting to change the API of the functions cStatus::Recording() and
+ cStatus::Replaying(), so that they can provide the full file name of the recording
 
 Dino Ravnic <dino.ravnic@fer.hr>
  for fixing some characters in the iso8859-2 font file
@@ -1364,6 +1383,9 @@
  for a patch that was used to add the command line options '--lirc', '--rcu' and
  '--no-kbd'
  for adding '__attribute__' to functions that use printf() like parameters
+ for suggesting to write grabbed images to the SVDRP connection encoded in base64
+ for suggesting to open the file handle in the SVDRP GRAB command in a way that
+ it won't follow symbolic links, and to canonicalize the file name
 
 Sean Carlos <seanc@libero.it>
  for translating OSD texts to the Italian language
@@ -1416,6 +1438,7 @@
 Luca Olivetti <luca@ventoso.org>
  for making cDevice::AttachPlayer() keep the track language codes and descriptions
  in Transfer Mode
+ for suggesting to make the "Menu" key behave consistently
 
 Mikko Salo <mikko.salo@ppe.inet.fi>
  for suggesting to make the setup option "DVB/Video display format" available only
@@ -1432,6 +1455,10 @@
  for making LIRC command parsing more robust
  for fixing some typos in MANUAL
  for reporting that the default value for "Setup/EPG bugfix level" was wrong
+ for fixing initializing pthread_mutexattr_t and pthread_rwlockattr_t to avoid
+ warnings with g++ 4.1.0
+ for reporting warnings with g++ 4.1.0 regarding incrementing the 'state' variables
+ in the repacker classes in remux.c
 
 Steffen Beyer <cpunk@reactor.de>
  for fixing setting the colored button help after deleting a recording in case the next
@@ -1453,6 +1480,8 @@
 Johannes Stezenbach <js@linuxtv.org>
  for pointing out that the byte swap for big endian systems in cDvbOsd::Flush()
  is wrong
+ for suggesting to use gettid() syscall to get a thread's pid, so that we get a
+ useful value on NPTL systems
 
 Paavo Hartikainen <pahartik@sci.fi>
  for verifying that the byte swap for big endian systems in cDvbOsd::Flush() was
@@ -1538,6 +1567,10 @@
 
 Patrick Fischer <patrick_fischer@gmx.de>
  for reporting an error in the cFilter example in PLUGINS.html
+ for making the static cControl functions thread safe
+ for suggesting that the cTimer constructor should take an optional cChannel
+ for suggesting that any cReceivers still attached to a cDevice when that device
+ switches to a different transponder shall be automatically detached
 
 Ralf Müller <ralf@bj-ig.de>
  for a patch that was used to implement cUnbufferedFile
@@ -1547,3 +1580,48 @@
 
 Holger Brunn <holger.brunn@stud.uni-karlsruhe.de>
  for adding a copy constructor to cString and fixing its assignment operator
+
+Christian Vogt <c.v@nexgo.de>
+ for suggesting to take deleted recordings into account when displaying the
+ amount of free disk space
+
+Christof Steininger <christof.steininger@t-online.de>
+ for fixing a possible crash when displaying the "Low disk space!" message from
+ a background thread
+
+Kendy Kutzner <kutzner@ira.uka.de>
+ for making the version number of EPG events be stored in the epg.data file
+ for suggesting to add cTimer::SetPriority() to set a timer's priority
+
+Bob Withers <bwit@pobox.com>
+ for publishing a Base64 encoder at http://www.ruffboy.com/download.htm
+ (http://www.ruffboy.com/code/Base64.zip), part of which was used when writing
+ the cBase64Encoder class
+
+Javier Fernández-Sanguino Peña <jfs@computer.org>
+ for reporting a security hole in the way the SVDRP command GRAB writes the
+ image file
+
+Jürgen Schneider <ivory7@gmx.de>
+ for a patch that was used as a base to fix handling multi byte key sequences
+ in cKbdRemote
+
+Christian Wieninger <cwieninger@gmx.de>
+ for suggesting to add cMenuEditStrItem::InEditMode()
+
+Thiemo Gehrke <tgehrke@reel-multimedia.com>
+ for suggesting to add a setup option to turn off the automatic timeout of the
+ channel display in case it was invoked by a press of the "Ok" key
+
+Gavin Hamill <gdh@acentral.co.uk>
+ for reporting a missing #include "thread.h" in dvbspu.c
+
+Petri Hintukainen <Petri.Hintukainen@hut.fi>
+ for suggesting to disable the use of "fadvise" in cUnbufferedFile because there
+ have been several reports that it causes more problems than it solves
+
+Marcel Schaeben <mts280@gmx.de>
+ for his "Easy Input" patch
+
+Ingo Schneider <mail@ingo-schneider.de>
+ for adding a SleepMs() in cRecorder::Action() to avoid a busy loop
diff -ruN vdr-1.3.37/HISTORY vdr-1.3.38/HISTORY
--- vdr-1.3.37/HISTORY	2005-11-27 16:57:03.000000000 +0100
+++ vdr-1.3.38/HISTORY	2006-01-08 12:58:26.000000000 +0100
@@ -1491,9 +1491,9 @@
   --- Makefile    2002/06/10 16:24:06     1.4
   +++ Makefile    2002/09/17 15:36:36     1.5
   @@ -15,7 +15,12 @@
- 
+
    ### The directory environment:
- 
+
   +ifdef NEWSTRUCT
   +DVBDIR = ../../../../DVB/include
   +DEFINES += -DNEWSTRUCT
@@ -1504,12 +1504,12 @@
    VDRINC = $(VDRDIR)/include
    LIBDIR = ../../lib
   @@ -34,7 +39,7 @@
- 
+
    INCLUDES = -I$(VDRINC) -I$(DVBDIR)
- 
+
   -DEFINES = -DPLUGIN_NAME_I18N='"$(PLUGIN)"'
   +DEFINES += -DPLUGIN_NAME_I18N='"$(PLUGIN)"'
- 
+
    ### The object files (add further files here):
   -------------------------------------------------------
 
@@ -2705,7 +2705,7 @@
 - Timers can now be set to use the VPS information to control recording a programme.
   The new setup options "Recording/Use VPS" and "Recording/VPS margin", as well as
   the "VPS" option in the individual timers, can be used to control this feature
-  (see MANUAL for details). 
+  (see MANUAL for details).
   Note that this feature will certainly need a lot of testing before it can be
   called "safe"!
 - The "Schedule" and "What's on now/next?" menus now have an additional column
@@ -3270,7 +3270,7 @@
   botton left side.
 - The new setup option "DVB/Audio languages" can be used to control which audio
   language shall be selected in case a channel broadcasts in different languages
-  (see MANUAL for details). 
+  (see MANUAL for details).
 - The "Left" and "Right" keys in the "Audio" menu can be used to switch between
   the left and right stereo channels in case there are different audio tracks
   in these channels (see MANUAL for details).
@@ -3962,3 +3962,175 @@
 - The SVDRP command MESG uses the new message queueing facility, so MESG
   commands may now be executed at any time, and the message will be displayed
   (no more "pending message").
+
+2006-01-08: Version 1.3.38
+
+- Fixed handling second audio and Dolby Digital PIDs for encrypted channels
+  (was broken in version 1.3.37).
+- Improved TS/PES conversion to better handle lost TS packets (thanks to
+  Reinhard Nissl).
+- Limited the frequency of log messages from the cRepackers.
+- Now using the gettid() syscall to get a thread's pid, so that we get a
+  useful value on NPTL systems (suggested by Johannes Stezenbach).
+- Fixed the RCU remote control handling to avoid problems with NPTL (thanks
+  to Andreas Share for reporting a lockup with the RCU on NPTL systems).
+- When displaying the amount of free disk space, the space consumed by
+  recordings that have been "deleted" but not yet actually "removed" is now
+  taken into account (suggested by Christian Vogt).
+- Now avoiding unnecessary disk access when checking if there are deleted
+  recordings that need to be removed (reported by Carsten Koch).
+- Fixed handling the DELETEDLIFETIME when removing deleted recordings. Now
+  a deleted recording is retained at least DELETEDLIFETIME seconds before
+  actually removing it.
+  The value of DELETEDLIFETIME has been changed to 300. So after (possibly
+  inadvertently) deleting a recording, there will be at least 5 minutes
+  in which it can be recovered (unless a new recording immediately requires
+  the disk space). The count starts again at 0 every time VDR is started.
+- Fixed a possible crash when displaying the "Low disk space!" message from
+  a background thread (thanks to Christof Steininger).
+- Fixed handling OSD areas that have invalid sizes (thanks to Marco Schlüßler).
+- Added a mutex to AssertFreeDiskSpace() to make sure calls from foreground
+  and background threads won't interfere.
+- The main menu now dynamically updates its contents in case an instant
+  recording or replay stops, etc.
+- The version number of EPG events is now also stored in the epg.data file
+  (thanks to Kendy Kutzner).
+- EPG events that are no longer in the currently broadcasted data stream are
+  now automatically deleted.
+- Removed an invalid access to Event->schedule in cSchedule::DelEvent().
+- Modified cSchedule::Cleanup() (events are always sorted by time).
+- Schedules are now cleaned up once every hour (not only at 05:00).
+- The "Schedule" and "What's on now/next?" menus are now updated if a timer
+  is set or modified.
+- cTimer no longer has its own 'schedule' member, it rather uses that of the
+  event it has been set to.
+- The "Red" button in the "Schedule", "What's on now/next?" and "Event" menus
+  now immediately creates a timer for the selected event and marks it with 'T'.
+  If the event is already marked with 'T', the "Red" button opens the "Edit
+  timer" menu for that timer.
+- Removing deleted recordings is now done in a separate thread.
+- Dropped the unused "stop recording on primary interface" stuff.
+- Converting a grabbed image to JPEG is now done with the new function
+  RgbToJpeg() (see tools.h).
+- The SVDRP command GRAB now determines the image type (JPEG or PNM) from the
+  extension (".jpg", ".jpeg" or ".pnm") of the given file name. The explicit
+  'jpeg' or 'pnm' parameter is still accepted for backward compatibility, but
+  has no meaning any more.
+- The function cDevice::GrabImage() no longer writes the grabbed image to a
+  file, but rather returns a pointer to the image in memory. The wrapper
+  function cDevice::GrabImageFile() can be used to write the grabbed image
+  directly to a file. Plugins that used the old version of cDevice::GrabImage()
+  need to be adapted to the new interface.
+- The new class cBase64Encoder (see tools.h) can be used to encode data in
+  base64 (thanks to Bob Withers for publishing his Base64 class).
+- The SVDRP command GRAB now writes the image data to the SVDRP connection
+  (encoded in base64) if the given file name consists of only the file
+  extension (".jpg", ".jpeg" or ".pnm"), or if only "-" is given as file
+  name (based on a suggestion from Darren Salt).
+  A simple way of viewing a grabbed image on a remote host is:
+
+  svdrpsend.pl -d <hostname> 'grab -' | sed -n -e 's/^216-//p' -e '1ibegin-base64 644 -' -e '$a====' | uudecode | display
+
+- The new command line option '-g' must be given if the SVDRP command GRAB
+  shall be allowed to write image files to disk. The parameter to this option
+  must be the full path name of an existing directory, without any "..", double
+  '/' or symlinks. By default, or if "-g- is given, grabbing to files is
+  not allowed any more because of potential security risks.
+- Modified the way the SVDRP command GRAB writes the grabbed image to a file
+  to avoid a security hole (CAN-2005-0071, reported by Javier Fernández-Sanguino
+  Peña):
+  + The file handle is now opened in a way that it won't follow symbolic links
+    (suggested by Darren Salt).
+  + The given file name is now canonicalized, so that it won't contain any
+    ".." or symlinks (suggested by Darren Salt).
+  + Grabbing to files is limited to the directory given in the the command
+    line option '-g'. By default grabbing to files is not allowed any more.
+- Updated the Greek OSD texts (thanks to Dimitrios Dimitrakos).
+- Changed all "illegal" to "invalid" in error messages (there's nothing "illegal"
+  in VDR ;-).
+- When started as user 'root' VDR now switches to a lesser privileged user id,
+  keeping the capability to set the system time (based on a patch from Ludwig
+  Nussel). By default the user id 'vdr' is used, which can be changed through
+  the new command line option '-u'. Note that for security reasons VDR will no
+  longer run as user 'root' (unless you explicitly start it with '-u root',
+  but this is not recommended!). The 'runvdr' script has been changed to
+  use the '-u' option.
+- Changed the API of the functions cStatus::Recording() and cStatus::Replaying(),
+  so that they can provide the full file name of the recording. Plugins that use
+  these (or the related cStatus::Msg...() functions) need to be adapted
+  (suggested by Andreas Brugger).
+- The DVB devices now retune (and, if applicable, resend the DiSEqC data) if
+  the lock is lost (based on a patch from Reinhard Nissl).
+- Fixed handling multi byte key sequences in cKbdRemote (based on a patch from
+  Jürgen Schneider).
+- Removed unused variables in skinclassic.c and skinsttng.c (thanks to Marco
+  Schlüßler).
+- Made the static cControl functions thread safe (thanks to Patrick Fischer).
+- Fixed initializing pthread_mutexattr_t and pthread_rwlockattr_t to avoid
+  warnings with g++ 4.1.0 (thanks to Ville Skyttä).
+- Fixed incrementing the 'state' variables in the repacker classes in remux.c
+  to avoid warnings with g++ 4.1.0 (reported by Ville Skyttä).
+- The Makefile now reports a summary of failed plugins (thanks to Udo Richter).
+- The cTimer constructor can now take an optional cChannel (suggested by
+  Patrick Fischer).
+- Fixed setting the main thread id if VDR is running as a daemon.
+- Fixed handling TS packets in cTS2PES (thanks to Reinhard Nissl).
+- Added cTimer::SetPriority() to set a timer's priority (suggested by Kendy Kutzner).
+- Added cMenuEditStrItem::InEditMode() (suggested by Christian Wieninger).
+- Now using FE_READ_STATUS to read the current frontend status (suggested by
+  Holger Wächtler).
+- The "Menu" key now behaves consistently. If there is anything on the OSD, it
+  is closed when the "Menu" key is pressed, and if there is nothing on the OSD,
+  the "Menu" key opens the main menu (suggested by Luca Olivetti).
+- The new option "Setup/OSD/Timeout requested channel info" can be used to turn
+  off the automatic timeout of the channel display in case it was invoked by
+  a press of the "Ok" key (suggested by Thiemo Gehrke).
+- A message is now given when an instant recording is started (suggested by
+  Helmut Auer). Actually the code was already there, just commented out - don't
+  remember why it wasn't active...
+- Removed an obsolete "Summary" text from i18n.c and preceded all key definition
+  texts with "Key$" to avoid duplicates (reported by Lucian Muresan).
+- Preceded all button texts with "Button$".
+- Removed obsolete "Eject", "Language" and "scanning recordings..." texts.
+- Added missing #include "thread.h" to dvbspu.c (reported by Gavin Hamill).
+- Disabled the use of "fadvise" in cUnbufferedFile because there have been
+  several reports that it causes more problems than it solves (suggested by
+  Petri Hintukainen). If you want to use "fadvise", you can activate the line
+  //#define USE_FADVISE
+  in tools.c.
+- Removed unused 'offset' member from cOsdItem.
+- In the "Channels" menu the numeric keys now position the cursor to the channel
+  with the given number (see MANUAL, section "Remote Control Keys", note (3) for
+  details).
+- The "Mark/Move" function in the "Channels" menu now also works in the non-numeric
+  sort modes.
+- The default cOsdObject::Show() now automatically calls cOsdMenu::Display() if
+  this is a menu.
+- The new "Info" key brings up information on the currently viewed programme
+  or recording. For a live programme this is the same as "Schedule/Ok", i.e. the
+  description of the current EPG event. For a recording this is the same as shown
+  by the "Info" button in the "Recordings" menu. Plugins that implement players
+  can overwrite their cControl::GetInfo() function to show their own info (see
+  PLUGINS.html for details). Pressing the "Info" key again while the info is
+  displayed will close the OSD. In order to assign this new key to an existing
+  remote control setup, the remote.conf file needs to be deleted and VDR has
+  to be restarted to go through the process of learning the remote control keys.
+- Any cReceivers still attached to a cDevice when that device switches to a
+  different transponder are now automatically detached (suggested by Patrick
+  Fischer).
+- The "flags" of a timer are now handled as an unsigned integer value. In order
+  to do this, the interface of cMenuEditBitItem also had to be changed.
+- In string entry fields (like, e.g., the file name of a recording) the characters
+  can now be entered by pressing the numeric keys, the same way as on a
+  telephone keypad (based on the "Easy Input" patch from Marcel Schaeben).
+- Fixed the "Day" field of the "Edit timer" menu when pressing '0' to switch
+  from "single shot" to "weekly", followed by the "Right" key (reported by
+  Andreas Böttger).
+- The file 'ca.conf' is obsolete and has been removed.
+- Revised all descriptions regarding CICAM.
+- Adapted c(Dvb)Device::ProvidesCa() to the dynamic CA handling.
+- Added a mutex to synchronize cDevice::PlayPesPacket() and SetCurrentAudioTrack()
+  (thanks to Reinhard Nissl).
+- Added a SleepMs() in cRecorder::Action() to avoid a busy loop (thanks to Ingo
+  Schneider).
+- Cleaned up some trailing white space.
diff -ruN vdr-1.3.37/INSTALL vdr-1.3.38/INSTALL
--- vdr-1.3.37/INSTALL	2005-09-03 15:25:50.000000000 +0200
+++ vdr-1.3.38/INSTALL	2005-12-31 14:09:17.000000000 +0100
@@ -132,6 +132,19 @@
 VDR will go into 'deamon' mode and the initial program call will return
 immediately!
 
+Setting the system time:
+------------------------
+
+If you want VDR to set the system time according to the data received
+from the transponder, you need to start VDR as user 'root'. VDR will
+then only keep the capability to set the system time, and set its
+user id to a lesser privileged one ('vdr' by default, can be set
+to a different value with the '-u' option).
+You also need to enable the "EPG/Set system time" option in VDR's
+Setup menu, and select a transponder from which you want to receive
+the time in "Use time from transponder". Make sure you select a transponder
+that has a reliable clock - some transponders are quite off.
+
 Automatic shutdown:
 -------------------
 
diff -ruN vdr-1.3.37/MANUAL vdr-1.3.38/MANUAL
--- vdr-1.3.37/MANUAL	2005-09-09 17:07:32.000000000 +0200
+++ vdr-1.3.38/MANUAL	2006-01-08 12:53:08.000000000 +0100
@@ -1,7 +1,7 @@
 Video Disk Recorder User's Manual
 ---------------------------------
 
-Version 1.2
+Version 1.3
 -----------
 
 * Remote Control Keys
@@ -18,7 +18,7 @@
   Left    Prev group  -            Page up    Page up    Decrement     Page up           Search back      Sel. channel
   Right   Next group  -            Page down  Page down  Increment     Page down         Search forward   Sel. channel
   Ok      Ch display  Select       Switch     Edit       Accept        Play              Progress disp.   Switch & Close
-  Menu    Menu on     Menu off     Menu off   Menu off   Menu off      Menu off          Menu on          Menu on
+  Menu    Menu on     Menu off     Menu off   Menu off   Menu off      Menu off          Menu off         Menu off
   Back    -           Menu off     VDR menu   VDR menu   Discard       VDR menu          Recordings menu  Close
   Red     -           Record       Edit       Edit       ABC/abc       Play/Commands(2)  Jump             -
   Green   -           Audio        New        New        Ins/Ovr       Rewind            Skip -60s        -
@@ -30,9 +30,14 @@
   are used to enter the data, and the Left key can be used to delete the last
   entered digit.
 
+  In a text input field (like, e.g., the file name of a recording) the characters
+  can be entered by pressing the numeric keys, the same way as on a telephone
+  keypad.
+
   If your remote control provides additional keys, they can be used for the
   following functions:
 
+  Info        display information on the currently viewed programme or recording
   Play        resume normal replay
   Pause       pause replay or live video
   Stop        stop replay
@@ -74,7 +79,12 @@
       to "mark" a timer for moving.
   (2) See "Processing Recordings" below.
   (3) In the "Channels" menu the '0' key switches the sort mode through "by number",
-      "by name" and "by provider".
+      "by name" and "by provider". Other numeric input positions the cursor to
+      the channel with the number entered so far. If there is no channel with that
+      number, nothing happens. While entering a channel number, the '0' key will
+      be treated as part of that number, not as a sort mode toggle. If no numeric
+      key has been pressed for more than one second, the number is reset and '0'
+      functions as sort mode toggle again.
   (4) In the "Timers" menu, when on the "Day" item, the '0' key toggles between
       a single shot and a repeating timer. If "Day" indicates a repeating timer,
       the keys '1'...'7' can be used to toggle the individual days ('1' is Monday).
@@ -141,14 +151,17 @@
   "Schedule" menu of the current channel in the list.
 
   The "Red" button allows you to instantly program a timer to record the
-  selected programme. You will get into the "Edit Timer" menu in which
-  everything has already been filled in, and you can make any modifications
+  selected programme. After pressing this button, the current event will
+  be marked with 'T', and the function of the "Red" button will change from
+  "Record" to "Timer". Pressing "Red" on an event marked with 'T' will open
+  the "Edit timer" menu for this timer, where you can make any modifications
   you may want to apply. Note that the Start and Stop time are offset by the
   MarginStart and MarginStop parameters (see Setup) in order to make sure the
   entire programme is recorded in case it doesn't exactly adhere to its
   published start/stop times. Of course, no guarantee can be given that the
   default margin values will be sufficient, so in case this recording is
-  really important you may want to add an extra margin ;-)
+  really important you may want to add an extra margin ;-). VPS recordings
+  will use the exact Start (or VPS) and Stop times as given in the event.
 
   The "Blue" button can be pressed to switch to the channel with the selected
   programme.
@@ -373,7 +386,7 @@
 * Programming the Timer
 
   Use the "Timer" menu to maintain your list of timer controlled recordings.
-  The parameters in the "Edit Timer" menu have the following meanings:
+  The parameters in the "Edit timer" menu have the following meanings:
 
   Active:    Defines whether the timer will be processed (set it to 'no' to
              temporarily disable a timer).
@@ -493,6 +506,10 @@
                          always displayed when pressing the "Ok" button in
                          normal viewing mode.
 
+  Timeout requested channel info = yes
+                         Turns the automatic timeout of the channel display (when
+                         invoked by a press of the "Ok" key) on or off.
+
   Scroll pages = yes     no  = when pressing the "Down" ("Up") key while the cursor
                                is on the last (first) line of a list page, the
                                list is scrolled down (up) a single line and the cursor will
@@ -639,17 +656,11 @@
 
   CICAM:
 
-  CICAM DVBn m           Defines the "Conditional Access" capabilities of the DVB
-                         card 'n'. Each DVB card can provide up to two CICAM
-                         methods ('m' = [1, 2]).
-
-                         In the 'setup.conf' file the value consists of the card
-                         number, followed by a list of decryption method values
-                         (defined in 'ca.conf').
-                         For instance
-                           CaCaps = 3 101 102
-                         would define that card number 3 is able to decrypt
-                         "Premiere World" and the "ORF".
+  CICAM DVBn m           Shows the CAMs that each device contains, where 'n' is
+                         the number of the device, and 'm' is the number of the
+                         Common Interface slot of that device. The "Red" key
+                         can be pressed to enter the CAM menu, and the "Green" key
+                         triggers a reset of the selected CAM.
 
   Recording:
 
diff -ruN vdr-1.3.37/Makefile vdr-1.3.38/Makefile
--- vdr-1.3.37/Makefile	2005-09-02 16:23:38.000000000 +0200
+++ vdr-1.3.38/Makefile	2006-01-01 16:12:05.000000000 +0100
@@ -4,7 +4,7 @@
 # See the main source file 'vdr.c' for copyright information and
 # how to reach the author.
 #
-# $Id: Makefile 1.79 2005/09/02 14:23:38 kls Exp $
+# $Id: Makefile 1.81 2006/01/01 15:12:05 kls Exp $
 
 .DELETE_ON_ERROR:
 
@@ -27,7 +27,7 @@
 LSIDIR   = ./libsi
 MANDIR   = /usr/local/man
 BINDIR   = /usr/local/bin
-LIBS     = -ljpeg -lpthread -ldl
+LIBS     = -ljpeg -lpthread -ldl -lcap
 INCLUDES =
 
 PLUGINDIR= ./PLUGINS
@@ -183,7 +183,12 @@
 # Plugins:
 
 plugins: include-dir
-	@for i in `ls $(PLUGINDIR)/src | grep -v '[^a-z0-9]'`; do $(MAKE) -C "$(PLUGINDIR)/src/$$i" all; done
+	@failed="";\
+	for i in `ls $(PLUGINDIR)/src | grep -v '[^a-z0-9]'`; do\
+	    echo "Plugin $$i:";\
+	    $(MAKE) -C "$(PLUGINDIR)/src/$$i" all || failed="$$failed $$i";\
+	    done;\
+	if [ -n "$$failed" ] ; then echo; echo "*** failed plugins:$$failed"; echo; fi
 
 plugins-clean:
 	@for i in `ls $(PLUGINDIR)/src | grep -v '[^a-z0-9]'`; do $(MAKE) -C "$(PLUGINDIR)/src/$$i" clean; done
diff -ruN vdr-1.3.37/PLUGINS/src/sky/channels.conf.sky vdr-1.3.38/PLUGINS/src/sky/channels.conf.sky
--- vdr-1.3.37/PLUGINS/src/sky/channels.conf.sky	2005-08-07 16:51:02.000000000 +0200
+++ vdr-1.3.38/PLUGINS/src/sky/channels.conf.sky	2006-01-04 22:07:12.000000000 +0100
@@ -17,7 +17,7 @@
 #         page exists, 'x' is entered.
 #
 S28.2E-2-2027-4705:106:sky_one
-S28.2E-2-2027-5104:107:sky_one_mix
+S28.2E-2-2027-5104:107:sky_two
 S28.2E-2-2044-10070:118:itv2
 S28.2E-2-2023-4905:130:scifi
 S28.2E-2-2025-5904:127:paramount
diff -ruN vdr-1.3.37/PLUGINS/src/sky/getskyepg.pl vdr-1.3.38/PLUGINS/src/sky/getskyepg.pl
--- vdr-1.3.37/PLUGINS/src/sky/getskyepg.pl	2004-02-15 14:35:52.000000000 +0100
+++ vdr-1.3.38/PLUGINS/src/sky/getskyepg.pl	2006-01-08 11:21:32.000000000 +0100
@@ -8,7 +8,7 @@
 #
 # See the README file for copyright information and how to reach the author.
 #
-# $Id: getskyepg.pl 1.3 2004/02/15 13:35:52 kls Exp $
+# $Id: getskyepg.pl 1.4 2006/01/08 10:21:32 kls Exp $
 
 use Getopt::Std;
 use Time::Local;
@@ -151,7 +151,7 @@
              $gmt[1] = $m; # minutes
              $gmt[2] = $h; # hours
              $time = timegm(@gmt) + ($day - 1) * $SecsInDay + ($h < 12 ? $dt : 0);
-             # comensate for DST:
+             # compensate for DST:
              $time += $DST if (localtime($time))[8];
              # create EPG data:
              if ($Time) {
